Company logoTrust Center Documentation
API v1 ReferenceNda templatesId

Update NDA template

Update an existing NDA template. Browse request parameters, authentication requirements, response payloads, and working code samples in the Orbiq API docs.

Update an existing NDA template

PATCH
/api/v1/nda-templates/{id}

Authorization

bearerAuth
AuthorizationBearer <token>

JWT token obtained from login endpoint

In: header

Path Parameters

id*string

Template ID

Formatuuid

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X PATCH "https://app.orbiqhq.com/api/v1/nda-templates/550e8400-e29b-41d4-a716-446655440000" \  -H "Content-Type: application/json" \  -d '{    "title": "Updated Bilateral NDA",    "content_markdown": "# Updated Non-Disclosure Agreement\n\nThis updated agreement protects both parties...",    "validity_in_months": 12  }'
{
  "template": {
    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
    "tenant": "93360892-48a4-4f76-a117-3304c9c61771",
    "title": "string",
    "type": "standard",
    "content_markdown": "string",
    "status": "draft",
    "language": "en-US",
    "validity_in_months": 0,
    "hasActiveVersion": true,
    "date_created": "2019-08-24T14:15:22Z",
    "date_updated": "2019-08-24T14:15:22Z",
    "user_created": "string",
    "user_updated": "string"
  }
}
{
  "error": "Invalid request parameters"
}
{
  "error": "Unauthorized"
}
{
  "error": "Template not found"
}
{
  "error": "Internal server error"
}

How is this guide?